Reinforcement StirrupRebar/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "Инструмент {{KEY | 16px Stirrup Rebar}} можно использовать в macros и на консоли python с пом...")
No edit summary
Line 11: Line 11:


# Создайте элемент [[Arch Structure|structure]]
# Создайте элемент [[Arch Structure|structure]]
# Выберите любую грань структуры
# Select any face of the structure
# Then select {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} from the rebar tools
# Then select {{KEY|[[Image:Arch_Rebar_Stirrup.png|16px]] Stirrup Rebar}} from the rebar tools
# A task panel will pop-out on the left side of the screen as shown below [[Image:StirrupDialog.png|250px]]
# A task panel will pop-out on the left side of the screen as shown below [[Image:StirrupDialog.png|250px]]
Line 19: Line 19:
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Pick selected face is used to verify or change the face for rebar distribution
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Нажмите {{KEY | OK}} или {{KEY | Apply}}, чтобы создать арматуру
# Нажмите {{KEY | Cancel}}, чтобы выйти из панели задач
# Нажмите {{KEY | Cancel}}, чтобы выйти из панели задач



Revision as of 07:33, 25 November 2018

Arch Rebar Stirrup

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Helical Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Описание

Инструмент Stirrup Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.

Использование

  1. Создайте элемент structure
  2. Выберите любую грань структуры
  3. Then select Stirrup Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like left cover, right cover, top cover, bottom, front cover, bent angle, bent factor, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Нажмите OK или Apply, чтобы создать арматуру
  11. Нажмите Cancel, чтобы выйти из панели задач

Свойства

  • ДанныеFront Cover:

Расстояние между арматурой и выбранной поверхностью.

  • ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
  • ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
  • ДанныеTop Cover: The distance between rebar from the top face of the structure.
  • ДанныеBent Angle: Bent angle defines the angle at the ends of a stirrup.
  • ДанныеBent Factor: Bent Factor defines length of stirrup end.
  • ДанныеAmount: The amount of rebars.
  • ДанныеSpacing:Расстояние между осями каждого стержня.

Сценарии

Инструмент Stirrup Rebar можно использовать в macros и на консоли python с помощью следующей функции:

makeStirrup(LeftCover, RightCover, TopCover, BottomCover, FrontCover, BentAngle, BentFactor, Diameter, Rounding, AmountSpacingCheck, AmountSpacingValue, Structure, Facename)
  • Adds a Stirrup reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating Stirrup rebar.

import Arch, Stirrup
structure = Arch.makeStructure(length=1000.0, width=400.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = Stirrup.makeStirrup(20,  20, 20, 20, 20, 135, 4, 8, 2, True, 10, structure, "Face6")

Changing properties of Stirrup rebar.

import Stirrup
Stirrup.editStirrup(rebar, 20, 20, 20, 20, 50, 90, 4, 8, 2, True, 6, structure, "Face6")